Imports System.Web.Services
Imports System.Data
Imports System.Data.SqlClient

Public Class DataBaseAccess
    Inherits System.Web.Services.WebService

#Region " Web Services Designer Generated Code "

    Public Sub New()
        MyBase.New()

        'This call is required by the Web Services Designer.
        InitializeComponent()

        'Add your own initialization code after the InitializeComponent() call

    End Sub

    'Required by the Web Services Designer
    Private components As System.ComponentModel.Container

    'NOTE: The following procedure is required by the Web Services Designer
    'It can be modified using the Web Services Designer.  
    'Do not modify it using the code editor.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        components = New System.ComponentModel.Container()
    End Sub

    Overloads Overrides Sub Dispose()
        'CODEGEN: This procedure is required by the Web Services Designer
        'Do not modify it using the code editor.
    End Sub

#End Region
    <WebMethod()> _
    Public Function GetTeamsAndPlayers() As TeamsAndPlayers

        Dim oConnection As SqlConnection = New SqlConnection("server=localhost;uid=sa;pwd=;database=BaseBallStatistics")
        Dim DS As New TeamsAndPlayers()
        Dim oDataAdapter As SqlDataAdapter

        oConnection.Open()
        DS.EnforceConstraints = False
        CreateTeamAdapter(oConnection).Fill(DS, DS.Teams.TableName)
        CreatePlayersAdapter(oConnection).Fill(DS, DS.Players.TableName)
        CreateTeamPlayersAdapter(oConnection).Fill(DS, DS.TeamPlayers.TableName)
        CreatePitchingAdapter(oConnection).Fill(DS, DS.PitchingStatistics.TableName)
        CreateBattingAdapter(oConnection).Fill(DS, DS.BattingStatistics.TableName)
        DS.EnforceConstraints = True
        oConnection.Close()

        Return DS
    End Function
    Private Function CreatePlayersAdapter(ByRef oConnection As SqlConnection) As SqlDataAdapter
        Dim oDataAdapter As New SqlDataAdapter()
        Dim oCommand As SqlCommand
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "GetPlayers"
            .Connection = oConnection
        End With

        oDataAdapter.SelectCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "InsertPlayer"
            .Parameters.Add(New SqlParameter("@ID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@LastName", SqlDbType.VarChar, 50, ParameterDirection.Input, False, 0, 0, "LastName", DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@FirstName", SqlDbType.VarChar, 50, ParameterDirection.Input, False, 0, 0, "FirstName", DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@BirthDate", SqlDbType.DateTime, 8, ParameterDirection.Input, False, 0, 0, "BirthDate", DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Height", SqlDbType.Int, 4, ParameterDirection.Input, False, 0, 0, "Height", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Weight", SqlDbType.Int, 4, ParameterDirection.Input, False, 0, 0, "Weight", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Throws", SqlDbType.Bit, 1, ParameterDirection.Input, False, 0, 0, "Throws", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Bats", SqlDbType.Int, 4, ParameterDirection.Input, False, 0, 0, "Bats", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Position", SqlDbType.Int, 4, ParameterDirection.Input, False, 0, 0, "Position", DataRowVersion.Current, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.InsertCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "UpdatePlayer"
            .Parameters.Add(New SqlParameter("@PlayerToUpdateID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@LastName", SqlDbType.VarChar, 50, ParameterDirection.Input, False, 0, 0, "LastName", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@FirstName", SqlDbType.VarChar, 50, ParameterDirection.Input, False, 0, 0, "FirstName", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@BirthDate", SqlDbType.DateTime, 8, ParameterDirection.Input, False, 0, 0, "BirthDate", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Height", SqlDbType.Int, 4, ParameterDirection.Input, False, 0, 0, "Height", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Weight", SqlDbType.Int, 4, ParameterDirection.Input, False, 0, 0, "Weight", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Throws", SqlDbType.Bit, 1, ParameterDirection.Input, False, 0, 0, "Throws", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Bats", SqlDbType.Int, 4, ParameterDirection.Input, False, 0, 0, "Bats", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Position", SqlDbType.Int, 4, ParameterDirection.Input, False, 0, 0, "Position", DataRowVersion.Current, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.UpdateCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "DeletePlayer"
            .Parameters.Add(New SqlParameter("@PlayerToDeleteID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.DeleteCommand = oCommand

        Return oDataAdapter
    End Function
    Private Function CreateBattingAdapter(ByRef oConnection As SqlConnection) As SqlDataAdapter
        Dim oDataAdapter As New SqlDataAdapter()
        Dim oCommand As SqlCommand
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "GetBattingStatistics"
            .Connection = oConnection
        End With

        oDataAdapter.SelectCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "InsertBattingStatistics"
            .Parameters.Add(New SqlParameter("@ID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Player", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "Player", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Team", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "Team", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Year", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Year", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Games", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Games", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@AtBats", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "AtBats", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Hits", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Hits", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@HomeRuns", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "HomeRuns", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@RBIs", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "RBIs", System.Data.DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.InsertCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "UpdateBattingStatistics"
            .Parameters.Add(New SqlParameter("@BattingStatisticToUpdateID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Year", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Year", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Games", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Games", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@AtBats", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "AtBats", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Hits", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Hits", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@HomeRuns", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "HomeRuns", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@RBIs", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "RBIs", System.Data.DataRowVersion.Current, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.UpdateCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "DeleteBattingStatistics"
            .Parameters.Add(New SqlParameter("@BattingStatisticsToDelete", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.DeleteCommand = oCommand

        Return oDataAdapter
    End Function
    Private Function CreateTeamPlayersAdapter(ByRef oConnection As SqlConnection) As SqlDataAdapter
        Dim oDataAdapter As New SqlDataAdapter()
        Dim oCommand As SqlCommand
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "GetTeamPlayers"
            .Connection = oConnection
        End With

        oDataAdapter.SelectCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "InsertTeamPlayer"
            .Parameters.Add(New SqlParameter("@ID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@TeamID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "TeamID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@PlayerID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "PlayerID", System.Data.DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.InsertCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "UpdateTeamPlayer"
            .Parameters.Add(New SqlParameter("@TeamPlayerToUpdateID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@TeamID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "TeamID", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@PlayerID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "PlayerID", System.Data.DataRowVersion.Current, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.UpdateCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "DeleteTeamPlayer"
            .Parameters.Add(New SqlParameter("@TeamPlayerID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.DeleteCommand = oCommand

        Return oDataAdapter
    End Function
    Private Function CreatePitchingAdapter(ByRef oConnection As SqlConnection) As SqlDataAdapter
        Dim oDataAdapter As New SqlDataAdapter()
        Dim oCommand As SqlCommand
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "GetPitchingStatistics"
            .Connection = oConnection
        End With

        oDataAdapter.SelectCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "InsertPitchingStatistics"
            .Parameters.Add(New SqlParameter("@ID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Player", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "Player", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Team", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "Team", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Year", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Year", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Games", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Games", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Starts", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Starts", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Runs", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Runs", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Innings", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Innings", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Wins", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Wins", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Losses", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Losses", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Saves", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Saves", System.Data.DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.InsertCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "UpdatePitchingStatistics"
            .Parameters.Add(New SqlParameter("@PitchingStatisticToUpdateID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Player", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "Player", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Team", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "Team", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Year", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Year", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Games", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Games", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Starts", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Starts", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Runs", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Runs", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Innings", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Innings", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Wins", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Wins", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Losses", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Losses", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Saves", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Saves", System.Data.DataRowVersion.Current, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.UpdateCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "DeletePitchingStatistics"
            .Parameters.Add(New SqlParameter("@PitchingStatisticsToDelete", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.DeleteCommand = oCommand

        Return oDataAdapter
    End Function
    Private Function CreateTeamAdapter(ByRef oConnection As SqlConnection) As SqlDataAdapter
        Dim oDataAdapter As New SqlDataAdapter()
        Dim oCommand As SqlCommand
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "GetTeams"
            .Connection = oConnection
        End With

        oDataAdapter.SelectCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "InsertTeam"
            .Parameters.Add(New SqlParameter("@ID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, False, 0, 0, "ID", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@TeamName", SqlDbType.VarChar, 100, ParameterDirection.Input, False, 0, 0, "TeamName", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@League", SqlDbType.Char, 2, ParameterDirection.Input, False, 0, 0, "League", DataRowVersion.Current, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.InsertCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "UpdateTeam"
            .Parameters.Add(New SqlParameter("@TeamToUpdateID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@TeamName", SqlDbType.VarChar, 100, ParameterDirection.Input, False, 0, 0, "TeamName", DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@League", SqlDbType.Char, 2, ParameterDirection.Input, False, 0, 0, "League", DataRowVersion.Current, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.UpdateCommand = oCommand

        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "DeleteTeam"
            .Parameters.Add(New SqlParameter("@TeamToDeleteID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.DeleteCommand = oCommand

        Return oDataAdapter
    End Function
    <WebMethod()> _
    Public Sub UpdateTeamsAndPlayers(ByVal teamsAndPlayersToUpdate As TeamsAndPlayers)
        Dim oConnection As SqlConnection = New SqlConnection("server=localhost;uid=sa;pwd=;database=BaseBallStatistics")

        oConnection.Open()
        CreateTeamAdapter(oConnection).Update(teamsAndPlayersToUpdate, teamsAndPlayersToUpdate.Teams.TableName)
        CreatePlayersAdapter(oConnection).Update(teamsAndPlayersToUpdate, teamsAndPlayersToUpdate.Players.TableName)
        CreateTeamPlayersAdapter(oConnection).Update(teamsAndPlayersToUpdate, teamsAndPlayersToUpdate.TeamPlayers.TableName)
        CreateBattingAdapter(oConnection).Update(teamsAndPlayersToUpdate, teamsAndPlayersToUpdate.BattingStatistics.TableName)
        CreatePitchingAdapter(oConnection).Update(teamsAndPlayersToUpdate, teamsAndPlayersToUpdate.PitchingStatistics.TableName)
        oConnection.Close()

    End Sub
    <WebMethod()> _
    Public Function GetTeams() As DataSet

        Dim oConnection As SqlConnection = New SqlConnection("server=localhost;uid=sa;pwd=;database=BaseBallStatistics")
        Dim DS As New DataSet()
        Dim oDataAdapter As New SqlDataAdapter()
        Dim oCommand As SqlCommand
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "GetTeams"
            .Connection = oConnection
        End With

        oDataAdapter.SelectCommand = oCommand
        oConnection.Open()
        oDataAdapter.Fill(DS, "GetTeams")
        oConnection.Close()
        Return DS

    End Function
    <WebMethod()> _
    Public Function GetTeamBatters(ByVal TeamID As String) As DataSet

        Dim oConnection As SqlConnection = New SqlConnection("server=localhost;uid=sa;pwd=;database=BaseBallStatistics")
        Dim DS As New DataSet()
        Dim oDataAdapter As New SqlDataAdapter()
        Dim oCommand As SqlCommand
        Dim oTeam As New System.Guid(TeamID)
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "GetBattersByTeamID"
            .Parameters.Add(New SqlParameter("@TeamID", SqlDbType.UniqueIdentifier, 16, ParameterDirection.Input, False, 0, 0, "", DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Year", SqlDbType.Int, 16, ParameterDirection.Input, False, 0, 0, "", DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.SelectCommand = oCommand
        oConnection.Open()
        oCommand.Parameters(0).Value = oTeam
        oCommand.Parameters(1).Value = Today().Year
        oDataAdapter.Fill(DS, "Teams")
        oConnection.Close()
        Return DS
    End Function
    <WebMethod()> _
    Public Function GetTeamPitchers(ByVal TeamID As String) As DataSet

        Dim oConnection As SqlConnection = New SqlConnection("server=localhost;uid=sa;pwd=;database=BaseBallStatistics")
        Dim DS As New DataSet()
        Dim oDataAdapter As New SqlDataAdapter()
        Dim oCommand As SqlCommand
        Dim oTeam As New System.Guid(TeamID)
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "GetPitchersByTeamID"
            .Parameters.Add(New SqlParameter("@TeamID", SqlDbType.UniqueIdentifier, 16, ParameterDirection.Input, False, 0, 0, "", DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Year", SqlDbType.Int, 16, ParameterDirection.Input, False, 0, 0, "", DataRowVersion.Original, Nothing))
            .Connection = oConnection
        End With

        oDataAdapter.SelectCommand = oCommand
        oConnection.Open()
        oCommand.Parameters(0).Value = oTeam
        oCommand.Parameters(1).Value = Today().Year
        oDataAdapter.Fill(DS, "Teams")
        oConnection.Close()
        Return DS

    End Function
    <WebMethod()> _
    Public Sub UpdateBattingStatistics(ByVal ID As String, ByVal Games As Integer, ByVal AtBats As Integer, ByVal Hits As Integer, ByVal HomeRuns As Integer, ByVal RBIS As Integer)
        Dim oConnection As SqlConnection = New SqlConnection("server=localhost;uid=sa;pwd=;database=BaseBallStatistics")
        Dim DS As New DataSet()
        Dim oCommand As SqlCommand
        Dim oID As New System.Guid(ID)
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "UpdateBattingStatisticsNoYear"
            .Parameters.Add(New SqlParameter("@BattingStatisticToUpdateID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Games", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Games", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@AtBats", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "AtBats", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Hits", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Hits", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@HomeRuns", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "HomeRuns", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@RBIs", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "RBIs", System.Data.DataRowVersion.Current, Nothing))
            .Connection = oConnection
        End With

        oConnection.Open()
        With oCommand
            .Parameters(0).Value = oID
            .Parameters(1).Value = Games
            .Parameters(2).Value = AtBats
            .Parameters(3).Value = Hits
            .Parameters(4).Value = HomeRuns
            .Parameters(5).Value = RBIS
        End With

        oCommand.ExecuteNonQuery()
        oConnection.Close()
    End Sub
    <WebMethod()> _
    Public Sub UpdatePitchingStatistics _
    (ByVal ID As String, ByVal Games As Integer, ByVal Starts As Integer, ByVal Runs As Integer, ByVal Innings As Integer, ByVal Wins As Integer, ByVal Losses As Integer, ByVal Saves As Integer)
        Dim oConnection As SqlConnection = New SqlConnection("server=localhost;uid=sa;pwd=;database=BaseBallStatistics")
        Dim DS As New DataSet()
        Dim oCommand As SqlCommand
        Dim oID As New System.Guid(ID)
        oCommand = New SqlCommand()

        With oCommand
            .CommandType = CommandType.StoredProcedure
            .CommandText = "UpdatePitchingStatisticsNoYear"
            .Parameters.Add(New SqlParameter("@PitchingStatisticToUpdateID", SqlDbType.UniqueIdentifier, 16, System.Data.ParameterDirection.Input, True, 0, 0, "ID", System.Data.DataRowVersion.Original, Nothing))
            .Parameters.Add(New SqlParameter("@Games", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Games", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Starts", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "AtBats", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Runs", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "Hits", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Innings", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "HomeRuns", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Wins", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "RBIs", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Losses", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "RBIs", System.Data.DataRowVersion.Current, Nothing))
            .Parameters.Add(New SqlParameter("@Saves", SqlDbType.Int, 4, System.Data.ParameterDirection.Input, True, 0, 0, "RBIs", System.Data.DataRowVersion.Current, Nothing))
            .Connection = oConnection
        End With

        oConnection.Open()

        With oCommand
            .Parameters(0).Value = oID
            .Parameters(1).Value = Games
            .Parameters(2).Value = Starts
            .Parameters(3).Value = Runs
            .Parameters(4).Value = Innings
            .Parameters(5).Value = Wins
            .Parameters(6).Value = Losses
            .Parameters(7).Value = Saves
        End With

        oCommand.ExecuteNonQuery()
        oConnection.Close()
    End Sub
End Class
